Description

Supportanfrage

ich habe heute mit ADTF3 angefangen, nach dem ich das Installion-Verzeichnis im C-Laufwerk abgelegt habe, habe ich auch alle

benötigte Umgebungsvariable gesetzt.

- ADTF_DIR, ADTF, ADTF_DEVICE_TOOLBOX, ADTF_DISPLAY_TOOLBOX...

ich versuche jetzt das Beispiel "../../doc/guides/sdk_filter_mechanics.html" zu kompilieren und bekomme die Fehlermeldung bei

CMAKE " The following configuration files were considered but not accepted - C:/ADTF3/3.6.3/ADTFConfig.cmake, version: 3.6.3

(64bit)".

ich habe in den ungruouped Entries (CMAKE-GUi) der richtige Pfad für ADTF_DIR gesetzt und noch mal neu "configure" gedrückt,

die gleiche Fehrlermeldung tritt auf.

Lösung

Du hast den falschen CMake Generator ausgewählt, ohne zusätzliche Angaben wird automatisch der 32Bit Generator verwendet.

Er findet aber in der ADTF_DIR nur 64 Bit Pakete (was ja richtig ist), das sagt dir die CMake Fehlermeldung.

Du musst bei der Auswahl des Visual Studio 15 2017 Generator die x64 Option setzen.

PS: In ADTF 3.7.0 fangen wir die Fehlermeldung und ergänzen noch eine aussagekräftigere Warning.

History

#1 - 2020-04-08 15:02 - hidden

- Project changed from Public Support to 20

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Customer set to VW

- Department set to IAV

- Affected Products ADTF 3.6.3 added

Hallo Long,

du hast den falschen CMake Generator ausgewählt, ohne zusätzliche Angaben wird automatisch der 32Bit Generator verwendet.

Er findet aber in der ADTF_DIR nur 64 Bit Pakete (was ja richtig ist), das sagt dir die CMake Fehlermeldung.

Du musst bei der Auswahl des Visual Studio 15 2017 Generator die x64 Option setzen.

#2 - 2020-04-15 14:38 - hidden

Hallo Long Dje Brice Dorsey ,

wir haben noch kein Feedback hierzu erhalten,
kann das Ticket geschlossen werden?

Bitte Rückmeldung geben bis 17.04.2020

#3 - 2020-04-16 09:45 - hidden

Hallo Herr Micheal G,

sorry für die spätere Antwort, das Ticket können Sie schließen.

LG

Brice

#4 - 2020-04-16 09:50 - hidden

- Project changed from 20 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#7 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
